# ResourceHandler

interface ResourceHandler

Provides access to resource-specific utility methods, for example factory methods that create various resources.

## Functions

bzip2
Link copied to clipboard
abstract fun bzip2(path: Any): ReadableResource
Creates resource that points to a bzip2 compressed file at the given path.
getText
Link copied to clipboard
abstract fun getText(): TextResourceFactory
Returns a factory for creating `TextResource`s from various sources such as strings, files, and archive entries.
gzip
Link copied to clipboard
abstract fun gzip(path: Any): ReadableResource
Creates resource that points to a gzip compressed file at the given path.